<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="GOTO">
  <refnamediv>
    <refname>GOTO</refname>
    <refpurpose>GOTO Pass block input to From block</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/GOTO_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_GOTO">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="GOTO">GOTO Pass block input to From block</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_GOTO">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_GOTO">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Dialogbox_GOTO">Dialog box</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_GOTO">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_GOTO">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Seealso_GOTO">See also</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Authors_GOTO">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_GOTO">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Branching_pal">Branching - Branching palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_GOTO">
    <title>Description</title>
    <para>
The main role of the GOTO/FROM blocks is to transport signals from a block to another block without connecting them physically. The GOTO block transports its input data to its corresponding FROM block. A simple GOTO block can send data to multiple FROM, although a FROM can receive data from only one GOTO.  
</para>
    <para>
The GOTO and FROM blocks are connected by the tag parameter.  
</para>
    <para>
The "Tag Visibility" parameter indicates if the location of the FROM block is limited:  
</para>
    <para>- Local: means that the corresponding FROM of that GOTO must be in the same subsystem.  
</para>
    <para>- Scoped: means that the corresponding FROM of that GOTO must be in the same subsystem or in any subsystem below the GotoTagVisibility block in the model hierarchy.  
</para>
    <para>- Global: means that the corresponding FROM of that GOTO can be anywhere in the model.  
</para>
    <para>
This block can support all the data types.  
</para>
    <para>
</para>
  </refsection>
  <refsection id="Dialogbox_GOTO">
    <title>Dialog box</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/GOTO_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Tag</emphasis>
        </para>
        <para> This parameter identifies the Goto block whose scope is defined in this block.</para>
        <para> Properties : Type 'str' of size -1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Tag Visibility(1=Local 2=scoped 3= global)</emphasis>
        </para>
        <para> This parameter identifies the visibility of the block. It can be local(1), scoped(2) or global(3).</para>
        <para> Properties : Type 'vec' of size 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Defaultproperties_GOTO">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">regular inputs:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : size [-1,-2] / type -1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation inputs:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">number/sizes of activation outputs:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis> no</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>
          <emphasis role="italic">goto</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_GOTO">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Branching/GOTO.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Seealso_GOTO">
    <title>See also</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="FROM">FROM - FROM Receives data from a corresponding GOTO (Scicos Block)</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="GotoTagVisibility">GotoTagVisibility - Define Scope of GOTO tag visibility (Scicos Block)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Authors_GOTO">
    <title>Authors</title>
    <para><emphasis role="bold">Fady NASSIF</emphasis> - INRIA</para>
  </refsection>
</refentry>
